Bug 1342137 - Add ndctl to comps file for release
Summary: Add ndctl to comps file for release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Blazek
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1271425
TreeView+ depends on / blocked
 
Reported: 2016-06-02 13:53 UTC by Eng Ops Maitai User
Modified: 2016-11-03 22:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 22:09:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2143 normal SHIPPED_LIVE redhat-release update 2016-11-03 13:11:14 UTC

Comment 1 Jan Blazek 2016-06-03 13:41:09 UTC
Is ndctl a requirement for some other package? If so, it should get into compose automatically by dependency resolver.

If not, what RHEL variants and architctures should contain this package?

Comment 2 Jeff Moyer 2016-06-03 13:52:34 UTC
This was a question that was asked in the Maitai process, so I'm confused about why it's being asked again.

Process issues aside, the answer is yes and no.  ndctl itself is a standalone utility that is used to manage nvdimm devices.  However, it also provides libraries that can be used by other utilities, such as intel's nvdimm management tools that have been proposed for RHEL 7.3 and fedora:

https://bugzilla.redhat.com/show_bug.cgi?id=1270993
https://bugzilla.redhat.com/show_bug.cgi?id=1333933

Those other tools may not make it into 7.3, but I expect they will eventually make it into RHEL at some point.

Comment 3 Jan Blazek 2016-06-03 13:56:26 UTC
(In reply to Jeffrey Moyer from comment #2)
> This was a question that was asked in the Maitai process, so I'm confused
> about why it's being asked again.
> 
> Process issues aside, the answer is yes and no.  ndctl itself is a
> standalone utility that is used to manage nvdimm devices.  However, it also
> provides libraries that can be used by other utilities, such as intel's
> nvdimm management tools that have been proposed for RHEL 7.3 and fedora:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1270993
> https://bugzilla.redhat.com/show_bug.cgi?id=1333933
> 
> Those other tools may not make it into 7.3, but I expect they will
> eventually make it into RHEL at some point.

OK, then what RHEL variants and architctures should contain this package?

Comment 4 Jeff Moyer 2016-06-03 14:01:00 UTC
Great question!  :)

For now, x86_64 only is fine.  As for variants, we expect that NVDIMMs will only be installed in server hardware in the near term, so I guess we can limit this to Server.

Thanks!

Comment 9 errata-xmlrpc 2016-11-03 22:09:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2143.html


Note You need to log in before you can comment on or make changes to this bug.